/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Public brutusd utlity types, macros and functions
 *
 *    Authors:
 *        Jules Colding <colding@42tools.com>
 *
 *    Copyright (C) 2005-2008 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

#ifndef BRUTUSD_UTIL_H
#define BRUTUSD_UTIL_H 1

G_BEGIN_DECLS

// utility structure that is useful for most brutus-proxy clients
struct BrutusCheckProxy {
	gboolean using_lorica;      
	CORBA_unsigned_long key;    // Resource key for wrapper object in proxy daemon
	BRUTUS_BrutusCheck wrapper; // proxy or Lorica mapped object
	BRUTUS_BrutusCheck filling; // process-local object
};


G_END_DECLS

#endif /* BRUTUSD_UTIL_H */
